# sttaremote-lib.pl
# STTA Rev. 1.3 Copyright (c) 2001-2004 Jesús Pérez Lorenzo  --- license GNU GPL
# stta: (@#) 1.31051043346- [2004_01_29_102036]
# Common functions for remote STTA management

do '../web-lib.pl';
do './global-lib.pl';

&init_config();
&load_dataconf();

# Setup error handler for down hosts
sub inst_error
{
$inst_error_msg = join("", @_);
}

sub get_cfgdir() {
   return "$config_directory/$module_name/dataconf";
}

sub get_basecfgdir() {
   return "$config_directory/$module_name";
}

sub get_dataconfig() {
   return %config;
}

sub get_ordercfgs() {
   local %listfcfgs;
   &read_file("$config_directory/$module_name/dataconf/ordercfgs", \%listfcfgs, \@ordercfgs);
   return @ordercfgs;
}

1; # Return true
